
Figure - Bug #113736
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.hht.lebocast
2022-11-07 13:59 - CD Test赵飞

Status: CLOSED Start date: 2022-11-07

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下��Reason: Input dispatching timed out (Application does not have a focused window)����剩余的ANR问题，根本原因应该是一样的。我们将统一在113944票里跟踪分析

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// NOT RESPONDING: com.hht.lebocast (pid 2889)

ANR in com.hht.lebocast (com.hht.lebocast/.GuidanceActivity)

PID: 2889

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.hht.lebocast/.GuidanceActivity

ErrorId: f5a79e1b-fdc4-4237-969e-d302c999c92b

Frozen: false

Load: 5.76 / 6.71 / 6.14

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=0

full avg10=0.00 avg60=0.00 avg300=0.00 total=0

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 12219ms later (2022-11-04 05:09:59.960 to 2022-11-04 05:10:12.179):

  33% 1247/tlog: 1.3% user + 32% kernel

  25% 7232/tlog: 1% user + 24% kernel / faults: 1 minor

  17% 1136/system_server: 3.9% user + 13% kernel / faults: 8087 minor

  9.3% 8463/com.microsoft.emmx: 2.1% user + 7.2% kernel / faults: 1290 minor 2 major

  8.6% 1335/media.codec: 3.1% user + 5.5% kernel / faults: 8982 minor

  7.3% 1409/media.swcodec: 1.3% user + 6% kernel / faults: 7708 minor

  5.5% 5851/kworker/u16:0+SENSORS_DATA: 0% user + 5.5% kernel

  5% 8661/kworker/u16:19+SENSORS_DATA: 0% user + 5% kernel

  4.2% 3245/com.sohu.inputmethod.sogou.car: 1.9% user + 2.2% kernel / faults: 1750 minor

  3.6% 985/media.hwcodec: 1.3% user + 2.2% kernel / faults: 3599 minor

  3.2% 330/kworker/u16:9-ufs_pm_qos_0: 0% user + 3.2% kernel

...
【日志】

Tlog和ANR日志见Bug #113491 附件

History

#1 - 2022-11-07 16:58 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD- FW-石豪

#2 - 2022-11-09 18:49 - CD Test赵飞

Log已传至FTP

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug _113491/Tlog&ANR.zip

#3 - 2022-11-10 15:26 - CD- FW-石豪

- Assignee changed from CD- FW-石豪 to CD FW王武军

#4 - 2022-11-15 10:34 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- % Done changed from 0 to 20

UserDebug版本运行Monkey跑出的问题，将在user版本上跑三个版本观察，如果不再复现，我们将关闭这个问题

#5 - 2022-11-16 11:13 - CD Test赵飞

此问题在11月15号Release版本（uer）上三台设备共复现1次

请继续分析（user版本暂不能提供ANR目录，待相关Bug修复后再提供新的日志）

#6 - 2022-11-16 19:41 - CDTS-TEST 周婷

- Due date deleted (2022-11-14)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#7 - 2022-12-26 11:01 - CD FW 曹覃刚

- Assignee changed from CD FW王武军 to CD FW 曹覃刚

#8 - 2022-12-27 16:34 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

- % Done changed from 20 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下

Reason: Input dispatching timed out (Application does not have a focused window)

剩余的ANR问题，根本原因应该是一样的。我们将统一在113944票里跟踪分析

#9 - 2022-12-28 14:37 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED
经调查分析，产生ANR的原因与113944票一样，使用113944跟踪此类问题，关闭此票

#10 - 2022-12-28 14:37 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
